---
title: Internal transfer (XPay) rail
slug: apis/lending/loan-funding-payment-rails/internal-transfer-xpay-rail
description: Internal CR account transfers are provided as an internal transfer rail within the PUT /FundingInfo payload.
docTags: 
createdAt: 2024-08-14T11:50:28.374Z
---

## Internal transfers

Internal transfers funds between Cross River and an MPL account within the Cross River Operating System (COS). These transfers are executed internally within Cross River and are immediate.

Once funds are in the MPL account, they can use the funds in any of these use cases:

- Fund 3rd parties to make the final payment to the borrower.
- ACH to merchants (Point-of-Sale payments).
- Recycle a loan for a repeat customer.

```json
{
    "LoanId": "bbedd717-8589-4411-b6da-ac6e0097bf51",
    "Rails": [
        {
        "XPayFields": {
            "ToAccountName": "",
            "ToAccountNumber": "2392433617",
            "Description": "A1B2C3"
            },
            "RailType": "COSXPay",
            "Priority": 1,
            "Amount": 7111.12
      }
    ]
}
```

## Request parameters

| Attribute                     | Description                                                                                                                                                                                |
| ----------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `ToAccountNumber`<br />string | The unique identifier of the receiver. This defaults to the COS account number.<br /><font color="#eb144c">Required </font><br />                                                          |
| `Description`<br />string     | A description of the transaction to be used by the partner to identify the transaction.<br />Minimum length of 1, maximum length of 30.<br /><font color="#eb144c">Required </font><br />  |
| `ToAccountName`<br />string   | Name of the account receiving the funds.<br /><font color="#eb144c">Required </font>                                                                                                       |

